"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _react = _interopRequireDefault(require("react")), _reactDom = _interopRequireDefault(require("react-dom")), _propTypes = _interopRequireDefault(require("prop-types")), _createReactClass = _interopRequireDefault(require("create-react-class")), _getContainerRenderMixin = _interopRequireDefault(require("dt2react/lib/react/getContainerRenderMixin")), _Dialog = _interopRequireDefault(require("./Dialog"));

function noop() {}

var DialogWrap = (0, _createReactClass.default)({
  displayName: "DialogWrap",
  mixins: [ (0, _getContainerRenderMixin.default)({
    isVisible: function(e) {
      return e.props.visible;
    },
    autoDestroy: !1,
    getComponent: function(e, t) {
      return _react.default.createElement(_Dialog.default, (0, _extends2.default)({}, e.props, t, {
        key: "dialog"
      }));
    },
    getContainer: function(e) {
      if (e.props.getContainer) return e.props.getContainer();
      var t = document.createElement("div");
      return document.body.appendChild(t), t;
    }
  }) ],
  propTypes: {
    className: _propTypes.default.string,
    keyboard: _propTypes.default.bool,
    wrapStyle: _propTypes.default.object,
    style: _propTypes.default.object,
    mask: _propTypes.default.bool,
    closable: _propTypes.default.bool,
    maskClosable: _propTypes.default.bool,
    prefixCls: _propTypes.default.string,
    visible: _propTypes.default.bool,
    onClose: _propTypes.default.func,
    dragable: _propTypes.default.bool,
    dragableOps: _propTypes.default.object,
    getContainer: _propTypes.default.func
  },
  getDefaultProps: function() {
    return {
      visible: !1,
      className: "",
      mask: !0,
      keyboard: !0,
      closable: !0,
      maskClosable: !0,
      prefixCls: "amos-dialog",
      onClose: noop,
      dragable: !1,
      dragableOps: {}
    };
  },
  shouldComponentUpdate: function(e) {
    var t = e.visible;
    return !(!this.props.visible && !t);
  },
  componentWillUnmount: function() {
    this.props.visible ? this.renderComponent({
      afterClose: this.removeContainer,
      onClose: function() {},
      visible: !1
    }) : this.removeContainer();
  },
  getElement: function(e) {
    return this._component.getElement(e);
  },
  render: function() {
    return null;
  }
}), _default = DialogWrap;

exports.default = _default;