"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: !0
}), exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends")), _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck")), _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass")), _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized")), _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits")), _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn")), _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf")), _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty")), _react = _interopRequireDefault(require("react")), _propTypes = _interopRequireDefault(require("prop-types")), _reactDom = _interopRequireDefault(require("react-dom")), _Dialog = _interopRequireDefault(require("./Dialog"));

function ownKeys(e, t) {
  var r = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    t && (o = o.filter((function(t) {
      return Object.getOwnPropertyDescriptor(e, t).enumerable;
    }))), r.push.apply(r, o);
  }
  return r;
}

function _objectSpread(e) {
  for (var t = 1; t < arguments.length; t++) {
    var r = null != arguments[t] ? arguments[t] : {};
    t % 2 ? ownKeys(Object(r), !0).forEach((function(t) {
      (0, _defineProperty2.default)(e, t, r[t]);
    })) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(r)) : ownKeys(Object(r)).forEach((function(t) {
      Object.defineProperty(e, t, Object.getOwnPropertyDescriptor(r, t));
    }));
  }
  return e;
}

function _createSuper(e) {
  var t = _isNativeReflectConstruct();
  return function() {
    var r, o = (0, _getPrototypeOf2.default)(e);
    if (t) {
      var i = (0, _getPrototypeOf2.default)(this).constructor;
      r = Reflect.construct(o, arguments, i);
    } else r = o.apply(this, arguments);
    return (0, _possibleConstructorReturn2.default)(this, r);
  };
}

function _isNativeReflectConstruct() {
  if ("undefined" == typeof Reflect || !Reflect.construct) return !1;
  if (Reflect.construct.sham) return !1;
  if ("function" == typeof Proxy) return !0;
  try {
    return Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], (function() {}))), 
    !0;
  } catch (e) {
    return !1;
  }
}

function noop() {}

function copy(e, t) {
  var r = {};
  return t.forEach((function(t) {
    void 0 !== e[t] && (r[t] = e[t]);
  })), r;
}

var DialogWrap = function(e) {
  (0, _inherits2.default)(r, e);
  var t = _createSuper(r);
  function r(e) {
    var o;
    return (0, _classCallCheck2.default)(this, r), o = t.call(this, e), (0, _defineProperty2.default)((0, 
    _assertThisInitialized2.default)(o), "onClose", (function(e) {
      o.props.onClose(e);
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(o), "getDialogContainer", (function() {
      return o.dialogContainer || (o.props.getContainer ? o.dialogContainer = o.props.getContainer() : (o.dialogContainer = document.createElement("div"), 
      document.body.appendChild(o.dialogContainer))), o.dialogContainer;
    })), (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(o), "cleanDialogContainer", (function() {
      o.dialogContainer && (_reactDom.default.unmountComponentAtNode(o.dialogContainer), 
      document.body.removeChild(o.dialogContainer), o.dialogContainer = null);
    })), o.state = {
      visible: e.visible
    }, o;
  }
  return (0, _createClass2.default)(r, [ {
    key: "componentDidMount",
    value: function() {
      this.componentDidUpdate();
    }
  }, {
    key: "componentWillReceiveProps",
    value: function(e) {
      "visible" in e && this.setState({
        visible: e.visible
      });
    }
  }, {
    key: "shouldComponentUpdate",
    value: function(e, t) {
      return !(!this.state.visible && !t.visible);
    }
  }, {
    key: "componentDidUpdate",
    value: function() {
      this.dialogRendered && (this.dialogInstance = _reactDom.default.unstable_renderSubtreeIntoContainer(this, this.getDialogElement(), this.getDialogContainer()));
    }
  }, {
    key: "componentWillUnmount",
    value: function() {
      this.dialogContainer && (this.state.visible ? _reactDom.default.unstable_renderSubtreeIntoContainer(this, this.getDialogElement({
        onAfterClose: this.cleanDialogContainer,
        onClose: noop,
        visible: !1
      }), this.dialogContainer) : this.cleanDialogContainer());
    }
  }, {
    key: "getDialogElement",
    value: function(e) {
      var t = this.props, r = copy(t, [ "className", "closable", "maskClosable", "title", "footer", "mask", "keyboard", "animation", "transitionName", "maskAnimation", "maskTransitionName", "mousePosition", "prefixCls", "style", "width", "wrapStyle", "height", "zIndex", "bodyStyle", "wrapClassName", "dragable", "dragableOps", "getContainer" ]);
      return r = _objectSpread(_objectSpread({}, r), {}, {
        onClose: this.onClose,
        visible: this.state.visible
      }, e), _react.default.createElement(_Dialog.default, (0, _extends2.default)({}, r, {
        key: "dialog"
      }), t.children);
    }
  }, {
    key: "getElement",
    value: function(e) {
      return this.dialogInstance.getElement(e);
    }
  }, {
    key: "render",
    value: function() {
      return this.dialogRendered = this.dialogRendered || this.state.visible, null;
    }
  } ]), r;
}(_react.default.Component);

DialogWrap.displayName = "DialogWrap", DialogWrap.defaultProps = {
  className: "",
  mask: !0,
  keyboard: !0,
  closable: !0,
  maskClosable: !0,
  prefixCls: "amos-dialog",
  onClose: noop,
  dragable: !1,
  dragableOps: {}
}, DialogWrap.propTypes = {
  className: _propTypes.default.string,
  keyboard: _propTypes.default.bool,
  wrapStyle: _propTypes.default.object,
  style: _propTypes.default.object,
  mask: _propTypes.default.bool,
  closable: _propTypes.default.bool,
  maskClosable: _propTypes.default.bool,
  prefixCls: _propTypes.default.string,
  visible: _propTypes.default.bool,
  onClose: _propTypes.default.func,
  dragable: _propTypes.default.bool,
  dragableOps: _propTypes.default.object,
  getContainer: _propTypes.default.func
};

var _default = DialogWrap;

exports.default = _default;